### Enumeration

# Gtk IconLookupFlags

since: 4.0

#### Declaration

    flags Gtk.IconLookupFlags

#### Description [src]

Used to specify options for gtk_icon_theme_lookup_icon().

Available since: 4.0

#### Members

`GTK_ICON_LOOKUP_FORCE_REGULAR`

  Try to always load regular icons, even when symbolic icon names are given.

  - Value: `1`
  - Nickname: `force-regular`
  - Available since: 4.0
`GTK_ICON_LOOKUP_FORCE_SYMBOLIC`

  Try to always load symbolic icons, even when regular icon names are given.

  - Value: `2`
  - Nickname: `force-symbolic`
  - Available since: 4.0
`GTK_ICON_LOOKUP_PRELOAD`

  Starts loading the texture in the background so it is ready when later needed.

  - Value: `4`
  - Nickname: `preload`
  - Available since: 4.0